<template>
    <LayoutComponent title="Listado de pedidos">
        

        <router-view></router-view>

        <template v-slot:iconbar>
            <v-app-bar-nav-icon @click="drawer = true"></v-app-bar-nav-icon>
        </template>

        <template v-slot:navigation>
            <v-app-bar-nav-icon @click="drawer = true"></v-app-bar-nav-icon>

            <v-navigation-drawer
                v-model="drawer"
                absolute
                temporary
                >
                <v-list
                        nav
                        dense
                    >
                    <v-list-item-group
                        v-model="groupis"
                        active-class="deep-purple--text text--accent-4"
                    >
                        <v-list-item
                            @click="router.replace({name: 'operator'}), groupis=0"
                            :disabled="router.currentRoute.name == 'operator'"
                        >
                            <v-list-item-icon>
                                <v-icon>mdi-home</v-icon>
                            </v-list-item-icon>
                            <v-list-item-title>Listados</v-list-item-title>
                        </v-list-item>
                    </v-list-item-group>
                </v-list>
            </v-navigation-drawer>
        </template>


        <template v-slot:actions>

        </template>
        
    </LayoutComponent>
</template>
<script setup>
    import {ref} from 'vue'
    import LayoutComponent from '../components/LayoutComponent.vue';
    import router from '@/router';
    

    const props = defineProps(['group'])

    const drawer = ref(false)
    const groupis = ref(0)


</script>
<style>

</style>